// src/main.rs

mod manip;
mod tests;

use std::path::PathBuf;

use clap::Parser;

#[derive(Parser)]
#[command(version, about, long_about = None)]
struct Cli {
    /// Selects a custom config file (optional)
    config: Option<PathBuf>,

    /// Sets output directory (optional, defaults to current directory)
    output_dir: Option<PathBuf>,

    /// Specifies block files/directories
    #[arg(short, long)]
    block: Vec<PathBuf>,

    /// Specifies silence files/directories
    #[arg(short, long)]
    mute: Vec<PathBuf>,
    // TODO more options
    // TODO verbose mode
}

fn main() {
    let cli = Cli::parse();

    // TODO argument parsing - IN PROGRESS
    // TODO logging
}
